org.appng.core.model

## Class ApplicationProvider.DataSourceWrapper

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Sectionelement
    - - org.appng.core.model.ApplicationProvider.DataSourceWrapper

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    ApplicationProvider

      protected class ApplicationProvider.DataSourceWrapper
      extends Sectionelement

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `mustPerform`

    - ### Fields inherited from class org.appng.xml.platform.Sectionelement

      `action, datasource, executionTime, folded, mode, passive, title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceWrapper(Site site, AccessibleApplication application, ApplicationRequest applicationRequest, ParameterSupport parameterSupportDollar, DatasourceRef datasourceRef)`

  - ### Method Summary

    - ### Methods inherited from class org.appng.xml.platform.Sectionelement

      `getAction, getDatasource, getExecutionTime, getFolded, getMode, getPassive, getTitle, setAction, setDatasource, setExecutionTime, setFolded, setMode, setPassive, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mustPerform

          protected boolean mustPerform

  - ### Constructor Detail

    - #### DataSourceWrapper

          public DataSourceWrapper(Site site,
                                   AccessibleApplication application,
                                   ApplicationRequest applicationRequest,
                                   ParameterSupport parameterSupportDollar,
                                   DatasourceRef datasourceRef)
                            throws ProcessingException

      Throws:
        `ProcessingException`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.